/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 21/09/2016 - V2.2.2 (H2020)
 *  Creation
 * ----------------------------------------
 */
package fr.tlse.irap.tool.corotation;

import java.util.ArrayList;
import java.util.List;

import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class CorotationCatalog {

	//@XmlElement(name = "catalog", nillable = true)
	private List<CirCorotation> catalog; 

	public CorotationCatalog() {
		catalog = new ArrayList<CirCorotation>();
	}

	public CorotationCatalog(List<CirCorotation> catalog) {
		this.catalog = catalog;
	}

	@XmlElement(name = "catalog")
	public List<CirCorotation> getCatalog() {
		return catalog;
	}

	public void setCatalog(List<CirCorotation> catalog) {
		this.catalog = catalog;
	}

}
